javax.transaction

## Class TransactionRequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - javax.transaction.TransactionRequiredException

All Implemented Interfaces:
  Serializable

    public class TransactionRequiredException
    extends RemoteException

This exception indicates that a request carried a null transaction context, but the target object requires an activate transaction.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.rmi.RemoteException

`detail`

### Constructor Summary

Constructors
Constructor and Description
`TransactionRequiredException()`
`TransactionRequiredException(String msg)`

### Method Summary

### Methods inherited from class java.rmi.RemoteException

`getCause, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransactionRequiredException

    public TransactionRequiredException()

#### TransactionRequiredException

    public TransactionRequiredException(String msg)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.